summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README1
-rw-r--r--TODO1
-rw-r--r--scripts/scan-tools.sh9
-rw-r--r--target/Config.in2
4 files changed, 11 insertions, 2 deletions
diff --git a/README b/README
index 56a431146..6fe00f8f6 100644
--- a/README
+++ b/README
@@ -9,6 +9,7 @@ Before you can start you need to install some tools:
- gcc
- binutils
- GNU make
+- GNU m4
- GNU tar
- GNU awk
- GNU sed
diff --git a/TODO b/TODO
index e5a2e98e2..65b22fde4 100644
--- a/TODO
+++ b/TODO
@@ -1,3 +1,4 @@
+- help text for config/ needs adoption
- fix glibc build for MIPS targets
- implement update for MTD devices (ag241)
- fix watchdog for alix1c (mfgpt timers problem)
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index bcd1e186a..89e368d8b 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -45,7 +45,8 @@ MirBSD)
CYG*)
echo "Building OpenADK on $os needs a small registry change."
echo 'http://cygwin.com/cygwin-ug-net/using-specialnames.html'
- sleep 5
+ echo "You can ignore this message, when you already done the change"
+ sleep 3
;;
NetBSD)
# supported with no extra quirks at the moment
@@ -227,6 +228,12 @@ if ! which perl >/dev/null 2>&1; then
out=1
fi
+if ! which m4 >/dev/null 2>&1; then
+ echo "You must install m4 (macro processor) to continue."
+ echo
+ out=1
+fi
+
cd $topdir
rm -rf tmp
diff --git a/target/Config.in b/target/Config.in
index f8e483311..fc0f36809 100644
--- a/target/Config.in
+++ b/target/Config.in
@@ -975,7 +975,7 @@ endchoice
choice
prompt "Compression method for Kernel"
- depends on !(ADK_TARGET_ROOTFS_INITRAMFS || ADK_TARGET_ROOTFS_INITRAMFS_PIGGYBACK)
+ depends on !(ADK_TARGET_ROOTFS_INITRAMFS || ADK_TARGET_ROOTFS_INITRAMFS_PIGGYBACK || ADK_TOOLCHAIN_ONLY)
config ADK_TARGET_KERNEL_COMPRESSION_GZIP
boolean